/*
 * Incidents.java
 *
 * Created on February 29, 2004, 8:47 PM
 */

package com.aeat.view;

import java.util.ArrayList;
import com.aeat.db.DBQuery;
import java.sql.ResultSet;
import com.aeat.db.DBIncidents;
import org.apache.log4j.Logger;
import org.apache.commons.beanutils.*;
import java.util.Iterator;
/**
 *
 * @author  tiff
 */
public class Incidents {
    ArrayList IncidentList;
    IncidentView CurrentIncident;
    String username;
    private final static Logger IncidentsLogger = Logger.getLogger("View."+Incidents.class);
    /** Creates a new instance of Incidents */
    public Incidents()
    {        
    }
    
    /**
     * Getter for property IncidentList.
     * @return Value of property IncidentList.
     */
    public ArrayList getIncidentList() {
        return IncidentList;
    }
    
    /**
     * Setter for property IncidentList.
     * @param IncidentList New value of property IncidentList.
     */
    public void setIncidentList(ArrayList IncidentList) {
        this.IncidentList = IncidentList;
        if ((this.IncidentList == null) || (this.IncidentList.isEmpty()))
        {
            if (this.IncidentList == null)
            {
                this.IncidentList = new ArrayList();
            }
            try
            {
                DBIncidents DBI = new DBIncidents();
                DBI.setUsername(username);
                RowSetDynaClass rsdc = new RowSetDynaClass(DBI.getIncidentDisplayList());
                this.IncidentList = new ArrayList(rsdc.getRows());
            }
            catch (Exception e)
            {
                IncidentsLogger.fatal("Database error", e);
            }
        }
    }
    
    /**
     * Getter for property CurrentIncident.
     * @return Value of property CurrentIncident.
     */
    public com.aeat.view.IncidentView getCurrentIncident(int Index) 
    {
        CurrentIncident = (IncidentView)IncidentList.get(Index);
        return CurrentIncident;
    }
    
    /**
     * Setter for property CurrentIncident.
     * @param CurrentIncident New value of property CurrentIncident.
     */
    public void setCurrentIncident(com.aeat.view.IncidentView CurrentIncident) {
        this.CurrentIncident = CurrentIncident;
    }
    
    /** Getter for property username.
     * @return Value of property username.
     *
     */
    public java.lang.String getUsername() {
        return username;
    }
    
    /** Setter for property username.
     * @param username New value of property username.
     *
     */
    public void setUsername(java.lang.String username) {
        this.username = username;
    }
    
}
