/*
 * loginForm.java
 *
 * Created on March 8, 2004, 11:38 AM
 */

package com.aeat.view;

import com.aeat.util.PasswordEncoder;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.*;
import org.apache.commons.beanutils.*;
import java.util.ArrayList;
import java.sql.SQLException;
import com.aeat.db.DBQuery;
import java.sql.ResultSet;
import org.apache.log4j.Logger;
/**
 *
 * @author  tiff
 */
public class LoginForm extends ActionForm
{
    String username;
    String password;
    ArrayList userlist;
    
    private final static Logger loginformLogger = Logger.getLogger ("View."+LoginForm.class);
    /** Creates a new instance of loginForm */
    public LoginForm ()
    {
    }
    
    /**
     * Getter for property password.
     * @return Value of property password.
     */
    public java.lang.String getPassword ()
    {
        return password;
    }
    
    /**
     * Setter for property password.
     * @param password New value of property password.
     */
    public void setPassword (java.lang.String password)
    {
        this.password = password;
    }
    
    /**
     * Getter for property username.
     * @return Value of property username.
     */
    public java.lang.String getUsername ()
    {
        return username;
    }
    
    /**
     * Setter for property username.
     * @param username New value of property username.
     */
    public void setUsername (java.lang.String username)
    {
        this.username = username;
    }
    
    public org.apache.struts.action.ActionErrors validate (org.apache.struts.action.ActionMapping actionMapping, javax.servlet.http.HttpServletRequest httpServletRequest)
    {
        ActionErrors retValue = new ActionErrors();
        
        // check the username and password
        try
        {
            DBQuery dbq = new DBQuery ();
            String PasswordValidationQuery = "SELECT USERNAME \"user_name\", PASSWORD \"password\" FROM OPERATOR";
            ResultSet rs = dbq.Execute (PasswordValidationQuery);
            if (!rs.next())
            {
                //no username
                retValue.add(ActionErrors.GLOBAL_ERROR, new ActionError("bad.username"));
            }
            else
            {
                //check the password
                String DBPassword = rs.getString("password");
                if (DBPassword == null || PasswordEncoder.encrypt(password).equals(DBPassword))
                {    
                    // success.
                }
            }
        }
        catch (Exception e)
        {
            loginformLogger.fatal("DB Error:" + e.toString ());
            retValue.add(ActionErrors.GLOBAL_ERROR, new ActionError("unverifiable.username"));
        }
        return retValue;
    }
    
    public void reset (org.apache.struts.action.ActionMapping actionMapping, javax.servlet.http.HttpServletRequest httpServletRequest)
    {
        try
        {
            DBQuery dbq = new DBQuery ();
            String GetUsersQuery = "SELECT USERNAME \"user_name\" FROM OPERATOR";
            ResultSet rs = dbq.Execute (GetUsersQuery);
            this.userlist = new ArrayList();
            while (rs.next())
            {
                this.userlist.add(rs.getString("user_name"));
            }
            httpServletRequest.setAttribute("userlist",this.userlist);
            dbq.Close ();
        }
        catch (Exception e)
        {
            loginformLogger.fatal ("DB Error:" + e.toString ());
        }
    }
    
    /**
     * Getter for property userlist.
     * @return Value of property userlist.
     */
    public java.util.ArrayList getUserlist ()
    {
        return userlist;
    }
    
    /**
     * Setter for property userlist.
     * @param userlist New value of property userlist.
     */
    public void setUserlist (java.util.ArrayList userlist)
    {
        this.userlist = userlist;
    }
    
}
